<?php
/*
 * Plugin Name: Colby Bootstrap
 * Description: JS and CSS assets for use across different Colby sites.
 * Author: John Watkins, Colby Communications
 [
  'react',
  'react-dom',
  'date-fns',
  'lodash',
  'prop-types',
  fetch
  colby-boostrap
],
 */

add_action( 'wp_enqueue_scripts', function() {
	$dir = plugin_dir_url( __FILE__ );
	$min = defined( 'PROD' ) && PROD === true ? '.min' : '';
	wp_register_script('fetch', "{$dir}dist/whatwg-fetch$min.js", [], null, true);
	wp_register_script('react', "{$dir}node_modules/react/dist/react$min.js", [], null, true);
	wp_register_script('react-dom', "{$dir}node_modules/react-dom/dist/react-dom$min.js", ['react'], null, true);
	wp_register_script('prop-types', "{$dir}node_modules/prop-types/prop-types$min.js", [], null, true);
	wp_register_script('date-fns', "https://cdnjs.cloudflare.com/ajax/libs/date-fns/1.28.5/date_fns$min.js", [], null, true);
	wp_register_script('lodash', "https://cdnjs.cloudflare.com/ajax/libs/lodash.js/4.17.4/lodash$min.js", [], null, true);
	wp_register_style('colby-bootstrap', "{$dir}dist/colby-bootstrap$min.css", [], null);
}, 10, 1 );
